OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PColStd

# PColStd_SeqNodeOfHSequenceOfPersistent Class Reference

`#include <PColStd_SeqNodeOfHSequenceOfPersistent.hxx>`

Inheritance diagram for PColStd_SeqNodeOfHSequenceOfPersistent:

[legend]

## Public Member Functions
Standard_EXPORT | PColStd_SeqNodeOfHSequenceOfPersistent (const Handle(PColStd_SeqNodeOfHSequenceOfPersistent)&TheLast, const Handle(Standard_Persistent)&TheItem)
Standard_EXPORT | PColStd_SeqNodeOfHSequenceOfPersistent (const Handle(Standard_Persistent)&TheItem, const Handle(PColStd_SeqNodeOfHSequenceOfPersistent)&TheFirst)
Standard_EXPORT | PColStd_SeqNodeOfHSequenceOfPersistent (const Handle(PColStd_SeqNodeOfHSequenceOfPersistent)&ThePrevious, const Handle(PColStd_SeqNodeOfHSequenceOfPersistent)&TheNext, const Handle(Standard_Persistent)&TheItem)
Standard_EXPORT Handle_Standard_Persistent | Value () const
Standard_EXPORT Handle_PColStd_SeqNodeOfHSequenceOfPersistent | Next () const
Standard_EXPORT Handle_PColStd_SeqNodeOfHSequenceOfPersistent | Previous () const
Standard_EXPORT void | SetValue (const Handle(Standard_Persistent)&AnItem)
Standard_EXPORT void | SetNext (const Handle(PColStd_SeqNodeOfHSequenceOfPersistent)&ANode)
Standard_EXPORT void | SetPrevious (const Handle(PColStd_SeqNodeOfHSequenceOfPersistent)&ANode)
| PColStd_SeqNodeOfHSequenceOfPersistent ()
| PColStd_SeqNodeOfHSequenceOfPersistent (const Storage_stCONSTclCOM &a)
| Handle (PColStd_SeqNodeOfHSequenceOfPersistent) _CSFDB_GetPColStd_SeqNodeOfHSequenceOfPersistentMyPrevious() const
void | _CSFDB_SetPColStd_SeqNodeOfHSequenceOfPersistentMyPrevious (const Handle(PColStd_SeqNodeOfHSequenceOfPersistent)&p)
| Handle (Standard_Persistent) _CSFDB_GetPColStd_SeqNodeOfHSequenceOfPersistentMyItem() const
void | _CSFDB_SetPColStd_SeqNodeOfHSequenceOfPersistentMyItem (const Handle(Standard_Persistent)&p)
| Handle (PColStd_SeqNodeOfHSequenceOfPersistent) _CSFDB_GetPColStd_SeqNodeOfHSequenceOfPersistentMyNext() const
void | _CSFDB_SetPColStd_SeqNodeOfHSequenceOfPersistentMyNext (const Handle(PColStd_SeqNodeOfHSequenceOfPersistent)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PColStd_SeqNodeOfHSequenceOfPersistent | MyPrevious
Handle_Standard_Persistent | MyItem
Handle_PColStd_SeqNodeOfHSequenceOfPersistent | MyNext

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_SeqNodeOfHSequenceOfPersistent::PColStd_SeqNodeOfHSequenceOfPersistent | ( | const Handle(PColStd_SeqNodeOfHSequenceOfPersistent)& | TheLast,
|  | const Handle(Standard_Persistent)& | TheItem
| ) |

Standard_EXPORT PColStd_SeqNodeOfHSequenceOfPersistent::PColStd_SeqNodeOfHSequenceOfPersistent | ( | const Handle(Standard_Persistent)& | TheItem,
|  | const Handle(PColStd_SeqNodeOfHSequenceOfPersistent)& | TheFirst
| ) |

Standard_EXPORT PColStd_SeqNodeOfHSequenceOfPersistent::PColStd_SeqNodeOfHSequenceOfPersistent | ( | const Handle(PColStd_SeqNodeOfHSequenceOfPersistent)& | ThePrevious,
|  | const Handle(PColStd_SeqNodeOfHSequenceOfPersistent)& | TheNext,
|  | const Handle(Standard_Persistent)& | TheItem
| ) |

PColStd_SeqNodeOfHSequenceOfPersistent::PColStd_SeqNodeOfHSequenceOfPersistent | ( |  | ) | `[inline]`

PColStd_SeqNodeOfHSequenceOfPersistent::PColStd_SeqNodeOfHSequenceOfPersistent | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PColStd_SeqNodeOfHSequenceOfPersistent::_CSFDB_SetPColStd_SeqNodeOfHSequenceOfPersistentMyItem | ( | const Handle(Standard_Persistent)& | p | ) | `[inline]`

void PColStd_SeqNodeOfHSequenceOfPersistent::_CSFDB_SetPColStd_SeqNodeOfHSequenceOfPersistentMyNext | ( | const Handle(PColStd_SeqNodeOfHSequenceOfPersistent)& | p | ) | `[inline]`

void PColStd_SeqNodeOfHSequenceOfPersistent::_CSFDB_SetPColStd_SeqNodeOfHSequenceOfPersistentMyPrevious | ( | const Handle(PColStd_SeqNodeOfHSequenceOfPersistent)& | p | ) | `[inline]`

Standard_EXPORT const PColStd_SeqNodeOfHSequenceOfPersistent::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PMMgt_PManaged.

PColStd_SeqNodeOfHSequenceOfPersistent::Handle | ( | PColStd_SeqNodeOfHSequenceOfPersistent |  | ) | const`[inline]`

PColStd_SeqNodeOfHSequenceOfPersistent::Handle | ( | Standard_Persistent |  | ) | const`[inline]`

PColStd_SeqNodeOfHSequenceOfPersistent::Handle | ( | PColStd_SeqNodeOfHSequenceOfPersistent |  | ) | const`[inline]`

Standard_EXPORT Handle_PColStd_SeqNodeOfHSequenceOfPersistent PColStd_SeqNodeOfHSequenceOfPersistent::Next | ( |  | ) | const

Standard_EXPORT Handle_PColStd_SeqNodeOfHSequenceOfPersistent PColStd_SeqNodeOfHSequenceOfPersistent::Previous | ( |  | ) | const

Standard_EXPORT void PColStd_SeqNodeOfHSequenceOfPersistent::SetNext | ( | const Handle(PColStd_SeqNodeOfHSequenceOfPersistent)& | ANode | ) |

Standard_EXPORT void PColStd_SeqNodeOfHSequenceOfPersistent::SetPrevious | ( | const Handle(PColStd_SeqNodeOfHSequenceOfPersistent)& | ANode | ) |

Standard_EXPORT void PColStd_SeqNodeOfHSequenceOfPersistent::SetValue | ( | const Handle(Standard_Persistent)& | AnItem | ) |

Standard_EXPORT Handle_Standard_Persistent PColStd_SeqNodeOfHSequenceOfPersistent::Value | ( |  | ) | const

## Field Documentation

Handle_Standard_Persistent PColStd_SeqNodeOfHSequenceOfPersistent::MyItem`[private]`

Handle_PColStd_SeqNodeOfHSequenceOfPersistent PColStd_SeqNodeOfHSequenceOfPersistent::MyNext`[private]`

Handle_PColStd_SeqNodeOfHSequenceOfPersistent PColStd_SeqNodeOfHSequenceOfPersistent::MyPrevious`[private]`

The documentation for this class was generated from the following file:

- PColStd_SeqNodeOfHSequenceOfPersistent.hxx